<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.core-management.process-state-listener" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="add-index,class,module,properties,timeout"/>
        <elem name="addr-params" value="profile,host,subsystem,process-state-listener"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.core-management"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.core-management.process-state.$process-state-listener"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.management.process-state-notifier"/>
        <capability name="$profile.org.wildfly.management.executor"/>
    </requires>
    <refs>
        <ref feature="subsystem.core-management"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="add-index" nillable="true" stability="default"/>
        <param name="module" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="core-management"/>
        <param name="process-state-listener" feature-id="true"/>
        <param name="class" stability="default"/>
        <param name="properties" nillable="true" stability="default"/>
        <param name="timeout" nillable="true" stability="default"/>
    </params>
</feature-spec>